Bug 730579 - dracut can't mount root filesystem on installer iso boot
Summary: dracut can't mount root filesystem on installer iso boot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-14 15:54 UTC by Tim Flink
Modified: 2012-04-26 20:08 UTC (History)
5 users (show)

Fixed In Version: dracut-013-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-23 20:36:58 UTC


Attachments (Terms of Use)
output from serial console on boot (24.65 KB, text/plain)
2011-08-14 15:54 UTC, Tim Flink
no flags Details
filtered dmesg output from dracut shell (65.02 KB, text/plain)
2011-08-14 15:57 UTC, Tim Flink
no flags Details

Description Tim Flink 2011-08-14 15:54:21 UTC
Created attachment 518197 [details]
output from serial console on boot

Description of problem:

I created a netinstall iso, including the following packages:

anaconda-16.14.4-4.fc16 -e lorax-16.4-3.fc16
libreport-2.0.5-5.fc16
dracut-013-1.fc16
linux-firmware-20110731-2.fc16
rpm-4.9.10-3.fc16
kernel-3.0.1-3.fc16

That installer iso always crashes on boot when I use dracut-013-1; when I use 011-41, the installer boots without issue.

Version-Release number of selected component (if applicable):

dracut-013-1.fc16

How reproducible:
 - Every time

Steps to Reproduce:

1. Boot the installer iso
2. Select any of the install options from grub
  
Actual results:
 - End up in the dracut shell

Expected results:
 - Start anaconda

Additional info:
 - I can make the boot.iso I've been using for test available if that would help

I attached the output from the serial console when using the following kernel command line:

vmlinuz initrd=initrd.img rdshell rdinitdebug console=ttyS0,115200

Comment 1 Tim Flink 2011-08-14 15:57:43 UTC
Created attachment 518198 [details]
filtered dmesg output from dracut shell

Requested debug information from:
 - http://fedoraproject.org/wiki/How_to_debug_Dracut_problems

Output from dmesg | grep dracut is attached to this bug

dracut:/# dmsetup ls --tree
live-rw (253:0)
 |- (7:1)
 `- (7:0)

dracut:/# blkid
/dev/loop0: TYPE="squashfs"
/dev/loop1: TYPE="DM_snapshot_cow"  
/dev/mapper/live-rw: TYPE="squashfs"

dracut:/# blkid -o udev
ID_FS_TYPE=squashfs

ID_FS_TYPE=DM_snapshot_cow

ID_FS_TYPE=squashfs

Comment 2 Fedora Update System 2011-08-17 06:44:31 UTC
dracut-013-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dracut-013-3.fc16

Comment 3 Fedora Update System 2011-08-17 12:08:31 UTC
dracut-013-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dracut-013-4.fc16

Comment 4 Fedora Update System 2011-08-17 12:08:45 UTC
dracut-013-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dracut-013-4.fc16

Comment 5 Fedora Update System 2011-08-17 20:23:42 UTC
Package dracut-013-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-013-4.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dracut-013-4.fc16
then log in and leave karma (feedback).

Comment 6 Tim Flink 2011-08-18 15:57:43 UTC
Using dracut-013-4, I am able to create a working netinstall iso and get a working minimal install of Fedora 16.

Comment 7 Fedora Update System 2011-08-23 20:36:19 UTC
dracut-013-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 zeus_001_ 2012-04-26 19:58:19 UTC
Just installed FC17 Beta from disk a number of times.
Grub2 fails to install properly (grub config and directory appears in boot partition, but loads with a single flashing cursor/underline and nothing happens).
I install grub using a FC15 CD instead to boot.
All installs result in dropping to dracut shell just after kernel loads, with warnings:

dracut Warning: /sysroot has no proper rootfs layout, ignoring and removing offending mount hook
dracut Warning: can't mount root filesystem

kernel version 3.3.0-1
(no obvious method to print dracut version)

all drives and partitions are visible, mounting manually is not an issue

Comment 9 Tim Flink 2012-04-26 20:08:14 UTC
(In reply to comment #8)
> Just installed FC17 Beta from disk a number of times.
> Grub2 fails to install properly (grub config and directory appears in boot
> partition, but loads with a single flashing cursor/underline and nothing
> happens).
> I install grub using a FC15 CD instead to boot.
> All installs result in dropping to dracut shell just after kernel loads, with
> warnings:
> 
> dracut Warning: /sysroot has no proper rootfs layout, ignoring and removing
> offending mount hook
> dracut Warning: can't mount root filesystem
> 
> kernel version 3.3.0-1
> (no obvious method to print dracut version)
> 
> all drives and partitions are visible, mounting manually is not an issue

I'm not sure that this is the same bug you're talking about.

Keep in mind that F16+ use grub2 instead of grub (unless your system is using EFI). Using a F15 cd to repair F17 installation issues sounds like a bad idea - did you try rescue mode from the F17 install media?

Can you file a new bug with boot logs from the affected system and the installer logs (they live in /tmp/ in the installer before you reboot, /var/log/anaconda/ post-install)?


Note You need to log in before you can comment on or make changes to this bug.